[MERGED] libosmo-netif[master]: jenkins.sh: use osmo-build-dep.sh, log test failures

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Oct 12 11:28:48 UTC 2016


Neels Hofmeyr has submitted this change and it was merged.

Change subject: jenkins.sh: use osmo-build-dep.sh, log test failures
......................................................................


jenkins.sh: use osmo-build-dep.sh, log test failures

Like in libosmo-abis' jenkins.sh

Change-Id: I022fbaaa1d211f68b38f18cfaf338ece51198c34
---
M contrib/jenkins.sh
1 file changed, 24 insertions(+), 18 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index a347e3c..9a37ca5 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,25 +2,31 @@
 
 set -ex
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
 
-cd libosmocore
-autoreconf --install --force
-./configure --prefix=$PWD/../install
-$MAKE $PARALLEL_MAKE install
+mkdir "$deps" || true
+rm -rf "$inst"
 
-cd ../
-osmo-deps.sh libosmo-abis
-cd libosmo-abis
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/../install/lib/pkgconfig:$PKG_CONFIG_PATH ./configure --prefix=$PWD/../install  
-PKG_CONFIG_PATH=$PWD/..//install/lib/pkgconfig:$PKG_CONFIG_PATH $MAKE $PARALLEL_MAKE install
+osmo-build-dep.sh libosmocore
 
-cd ../../
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmo-abis
+
+set +x
+echo
+echo
+echo
+echo " =============================== libosmo-netif ==============================="
+echo
+set -x
+
 autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig:$PKG_CONFIG_PATH ./configure
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig:$PKG_CONFIG_PATH $MAKE $PARALLEL_MAKE
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig:$PKG_CONFIG_PATH LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
+./configure
+$MAKE $PARALLEL_MAKE
+$MAKE distcheck \
+  || cat-testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/1021
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I022fbaaa1d211f68b38f18cfaf338ece51198c34
Gerrit-PatchSet: 1
Gerrit-Project: libosmo-netif
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list